//函数说明:判断带"*"项是否有输入,两次输入的密码是否相同
//参数描述:form是表单名,str字符串的格式不能乱,应类似var str1="name,名字须填写,sex,性别须选择"
//如果要验证两次输入的密码是否相同,确认密码的控件名称必须为passwrod1
// 设计者:黄建斌
//最后修改时间:2004.4.9
//例如:
//<form name="form1" method="post" action="" onsubmit="return isEmpty(this,str1)">
function IsEmpty(form,str)
{
  var strArray=str.split(",");
  for (var i=0;i<strArray.length;i=i+2)
       for (var j=0;j<form.elements.length;j++)
            if (form.elements[j].name == strArray[i])//如果检索到必填项
			   if (form.elements[j].value == "")//如果为空
			   {
	              alert(strArray[i+1]);
		          form.elements[j].focus();
		          return false;
			   }
			   //如果不为空,又是确认密码
			   else if (strArray[i] == "password1" && form.password1.value != form.elements[j-1].value)
			   {
			      alert("两次输入的密码不相同");
				  form.password.focus();
				  return false;
		       }
  return true;
}